# DAR_CP

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXIT CODES
SIGNALS
SEE ALSO
KNOWN BUGS
AUTHOR

## NAME

| dar_cp \- ’cp’ clone that does not stop at the first I/O error met

## SYNOPSIS

| dar_cp <source file> <destination file> dar_cp -h dar_cp -V

## DESCRIPTION

| dar_cp is similar to the standard ’cp’ command, except it does not stop copying when an I/O error is met. Instead, it skips a bit further and continues to copy the rest of the file, as much as possible, filling the gaps by zeroed bytes. dar_cp only accepts full filename (not directory) as argument. The reason of its existence in dar package is that you need it if you use Parchive with dar and have a corruption on a CD-R or any other read-only medium. You need to copy the corrupted slice on a read-write filesystem, for Parchive be able to repair it using slice associated redundancy files.

## OPTIONS

| -h |  | Displays help usage. |
| -V |  | Displays version information. |

## EXIT CODES

| dar_cp exists with the following codes:

| 0 |  | upon normal execution (be some corrupted parted skipped or not)
| 1 |  | syntax error on command-line
| 2 |  | could not open source or destination files
| 3 |  | any other system error met during the copy
| 5 |  | when some data could not be copied due to I/O error

## SIGNALS

| Any signal sent to dar_cp will abort the program immediately, there is no way to have a proper termination before the end of the process

## SEE ALSO

| dar(1), dar_xform(1), dar_manager(1), dar_slave(1)

## KNOWN BUGS

| None actually.

## AUTHOR

    http://dar.linux.free.fr/
    Denis Corbin
    France
    Europe